/*--------------------------------------------------------------*/
/* ACM ICPC 2009-2010, NEERC                                    */
/* Northern Subregional Contest                                 */
/* St Petersburg, October 17, 2009                              */
/*--------------------------------------------------------------*/
/* Problem A. Auxiliary Question of the Universe                */
/*                                                              */
/* Original idea         Dmitry Shtukenberg, Mikhail Dvorkin    */
/* Problem statement     Dmitry Shtukenberg                     */
/* Testset               Georgiy Korneev                        */
/*--------------------------------------------------------------*/
/* Solution                                                     */
/*                                                              */
/* Author                Georgiy Korneev                        */
/*--------------------------------------------------------------*/
 
import java.util.*;
import java.io.*;

public class auxiliary_gk_ok_check implements Runnable {
    static Scanner in;
    static PrintWriter out;

    static final int MAX_L = 1000;

    public void run() {
        String line = in.nextLine();
        assert line.length() <= MAX_L;
        for (char ch : line.toCharArray()) {
            if (Character.isDigit(ch)) {
                out.print(ch + "+");
            } else if (ch == '(' || ch == ')' || ch == '+') {
                out.print("(1)+");
            } else {
                throw new AssertionError("Unexpected symbol `" + ch + "`");
            }
        }
        out.println("1");
    }

    public static void main(String[] args) throws Exception {        
        in = new Scanner(new File("auxiliary.in"));
        out = new PrintWriter("auxiliary.out");

        new auxiliary_gk_ok_check().run();

        in.close();
        out.close();
    }
}
